onerror {resume}
quietly WaveActivateNextPane {} 0
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/scl_i
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/scl_o
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/scl_oen
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/sda_i
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/sda_o
add wave -noupdate -expand -group {I2C interface} /i2c_slave_top_tb/uut/sda_oen
add wave -noupdate -expand -group {I2C interface} -radix unsigned /i2c_slave_top_tb/uut/i2c_addr_i
add wave -noupdate /i2c_slave_top_tb/uut/wb_clk
add wave -noupdate /i2c_slave_top_tb/uut/wb_rst_i
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_stb_i
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_cyc_i
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_we_i
add wave -noupdate -group {Wishbone Slave} -radix hexadecimal /i2c_slave_top_tb/uut/wb_slave_sel_i
add wave -noupdate -group {Wishbone Slave} -radix unsigned /i2c_slave_top_tb/uut/wb_slave_addr_i
add wave -noupdate -group {Wishbone Slave} -radix hexadecimal /i2c_slave_top_tb/uut/wb_slave_data_o
add wave -noupdate -group {Wishbone Slave} -radix hexadecimal /i2c_slave_top_tb/uut/wb_slave_data_i
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_ack_o
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_err_o
add wave -noupdate -group {Wishbone Slave} /i2c_slave_top_tb/uut/wb_slave_rty_o
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_stb_o
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_cyc_o
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_we_o
add wave -noupdate -group {Wishbone Master} -radix hexadecimal /i2c_slave_top_tb/uut/wb_master_sel_o
add wave -noupdate -group {Wishbone Master} -radix unsigned /i2c_slave_top_tb/uut/wb_master_addr_o
add wave -noupdate -group {Wishbone Master} -radix hexadecimal /i2c_slave_top_tb/uut/wb_master_data_i
add wave -noupdate -group {Wishbone Master} -radix hexadecimal /i2c_slave_top_tb/uut/wb_master_data_o
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_ack_i
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_err_i
add wave -noupdate -group {Wishbone Master} /i2c_slave_top_tb/uut/wb_master_rty_i
add wave -noupdate -divider Registers
add wave -noupdate /i2c_slave_top_tb/uut/inst_i2c_slave_core/i2c_SLA_fsm
add wave -noupdate -radix hexadecimal /i2c_slave_top_tb/uut/s_CTR0
add wave -noupdate -radix hexadecimal /i2c_slave_top_tb/uut/s_DRXA
add wave -noupdate -radix hexadecimal /i2c_slave_top_tb/uut/s_DRXB
add wave -noupdate -radix hexadecimal /i2c_slave_top_tb/uut/s_DTX
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/i2c_master_WB_BASIC_fsm
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/CTR0_o
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/DTX_o
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/load_TX
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/DRXA_i
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/DRXB_i
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/wb_clk
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/wb_rst_i
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_addr_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_cyc_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_data_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_sel_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_stb_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_we_o
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_ack_i
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_data_i
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_err_i
add wave -noupdate -group i2c_regs -group {WB master} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_master_rty_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_addr_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_cyc_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_data_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_sel_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_stb_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_we_i
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_ack_o
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_data_o
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_err_o
add wave -noupdate -group i2c_regs -group {WB slave} /i2c_slave_top_tb/uut/inst_i2c_regs/wb_slave_rty_o
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/i2c_addr_i
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/pf_wb_addr_i
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/rd_done_i
add wave -noupdate -group i2c_regs /i2c_slave_top_tb/uut/inst_i2c_regs/wr_done_i
add wave -noupdate -expand -group bit_counter /i2c_slave_top_tb/i2c_driver/s_scl_clk
add wave -noupdate -expand -group bit_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/s_bit_cnt
add wave -noupdate -expand -group bit_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/bit_counter_8/clk_i
add wave -noupdate -expand -group bit_counter -radix unsigned /i2c_slave_top_tb/uut/inst_i2c_slave_core/bit_counter_8/cnt_o
add wave -noupdate -expand -group bit_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/bit_counter_8/en_i
add wave -noupdate -expand -group bit_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/bit_counter_8/rst_i
add wave -noupdate -expand -group byte_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/byte_counter_8/clk_i
add wave -noupdate -expand -group byte_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/byte_counter_8/rst_i
add wave -noupdate -expand -group byte_counter /i2c_slave_top_tb/uut/inst_i2c_slave_core/byte_counter_8/en_i
add wave -noupdate -expand -group byte_counter -radix unsigned /i2c_slave_top_tb/uut/inst_i2c_slave_core/byte_counter_8/cnt_o
add wave -noupdate -divider {MCU signals}
add wave -noupdate /i2c_slave_top_tb/uut/pf_wb_addr_o
add wave -noupdate /i2c_slave_top_tb/uut/wr_done_o
add wave -noupdate /i2c_slave_top_tb/uut/rd_done_o
add wave -noupdate -divider {I2C driver}
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/tb_clk
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/scl_master_o
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/sda_master_i
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/sda_master_o
add wave -noupdate -group i2c_driver -radix hexadecimal /i2c_slave_top_tb/i2c_driver/wishbone_addr_i
add wave -noupdate -group i2c_driver -radix hexadecimal /i2c_slave_top_tb/i2c_driver/wr_data_i
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/start_i
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/write_i
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/start_done_o
add wave -noupdate -group i2c_driver /i2c_slave_top_tb/i2c_driver/write_done_o
add wave -noupdate -radix hexadecimal /i2c_slave_top_tb/uut/inst_i2c_regs/s_CTR0
TreeUpdate [SetDefaultTree]
WaveRestoreCursors {{Cursor 1} {147050000 ps} 0}
configure wave -namecolwidth 193
configure wave -valuecolwidth 100
configure wave -justifyvalue left
configure wave -signalnamewidth 1
configure wave -snapdistance 10
configure wave -datasetprefix 0
configure wave -rowmargin 4
configure wave -childrowmargin 2
configure wave -gridoffset 0
configure wave -gridperiod 1
configure wave -griddelta 40
configure wave -timeline 0
configure wave -timelineunits ps
update
WaveRestoreZoom {1870304 ps} {194025244 ps}
